Skip to main content
GET
/
schedule
/
v1
/
reports
/
worked-night-hours
List Worked Hours By Employee In Night Hours
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/reports/worked-night-hours \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "secondsWorkedNight": 123
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

employeeIds[in]
string<uuid>[]

Array of employee ids

withChecks
boolean

true or false

from
string<date>
required

Y-m-d

to
string<date>
required

Y-m-d

limit
integer

Limit employees

page
integer

Request a specific page

Response

200 - application/json

Array of Objects

data
object[]
meta
object